/* Imprime un cuadrado relleno de asteriscos en la pantalla */import java.util.Scanner; 
public class ImprimirLed{   
  public static void main(String args[])   {     
    Scanner teclado = new Scanner(System.in);     
    System.out.print("numero:0|1|2|3|4|5|6|7|8|9 ");   
    int numero = teclado.nextInt();       
    System.out.print("factor de aumento: ");   
    int tamanno = teclado.nextInt();
    String pixel="* ";
    String vacio="  ";
    String cuadro= "";

    if( numero==1){
      String linea1= pixeles(tamanno,pixel,cuadro);
      String linea2= pixeles(tamanno,pixel,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro);
      String linea4= pixeles(tamanno,pixel,cuadro);
      String linea5= pixeles(tamanno,pixel,cuadro);
      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);
      
      
      
    }
  
   else if( numero==0){
      String linea1= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      String linea4= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      String linea5= pixeles(tamanno,pixel,cuadro)+""+pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro);
      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5); }
      
        else if( numero==2){
      String linea1= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= vacios(tamanno,vacio,cuadro)+ ""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea4= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+vacios(tamanno,vacio,cuadro);
      String linea5= pixeles(tamanno,pixel,cuadro)+""+pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro);
      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);  }
        else if( numero==3){
      String linea1= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= vacios(tamanno,vacio,cuadro)+ ""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea4= linea2= vacios(tamanno,vacio,cuadro)+ ""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro); 
      String linea5= pixeles(tamanno,pixel,cuadro)+""+pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro);
      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);  }
          else if( numero==4){
      String linea1= pixeles(tamanno,pixel,cuadro)+"" +vacios(tamanno,vacio,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea4= vacios(tamanno,vacio,cuadro)+ ""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro); 
      String linea5= vacios(tamanno,vacio,cuadro)+ ""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);  }
              else if( numero==5){
      String linea1= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+vacios(tamanno,vacio,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea4=vacios(tamanno,vacio,cuadro)+ ""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro); 
      String linea5= pixeles(tamanno,pixel,cuadro)+""+pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro);

      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);  }
                          else if( numero==6){
      String linea1= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+vacios(tamanno,vacio,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea4= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro); 
      String linea5= pixeles(tamanno,pixel,cuadro)+""+pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro);

      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);  }
         else if( numero==7){
      String linea1= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= vacios(tamanno,vacio,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea3= vacios(tamanno,vacio,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea4= vacios(tamanno,vacio,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea5= vacios(tamanno,vacio,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);  }
                  else if( numero==8){
   
        String linea1= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea4= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro); 
      String linea5= pixeles(tamanno,pixel,cuadro)+""+pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro);
      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);  }
               else if( numero==9){
   
        String linea1= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea2= pixeles(tamanno,pixel,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro);
      String linea3= pixeles(tamanno,pixel,cuadro)+"" +pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro); 
      String linea4= vacios(tamanno,vacio,cuadro)+""+vacios(tamanno,vacio,cuadro)+""+pixeles(tamanno,pixel,cuadro); 
      String linea5= pixeles(tamanno,pixel,cuadro)+""+pixeles(tamanno,pixel,cuadro)+""+ pixeles(tamanno,pixel,cuadro);
      System.out.println(linea1);
      System.out.println(linea2);
      System.out.println(linea3);
      System.out.println(linea4);
      System.out.println(linea5);  }
         
         
  
  
  }
    public static String pixeles(int tamanno,String pixel, String cuadro){
      for ( int fila = 1; fila <= tamanno; fila++ )      {  
         String x= "";
        for ( int columna = 1; columna <= tamanno; columna++ ){ 
          String as= "*";
         
          x += "*"  ;
        
        
        } cuadro= x;}return cuadro;}
    
       public static String vacios(int tamanno,String vacio, String cuadro){
      for ( int fila = 1; fila <= tamanno; fila++ )      {   String x= "";     
        for ( int columna = 1; columna <= tamanno;columna++ ){ 
         
String vac= " ";
          x+= " ";
          
        
        
        }cuadro=  x;
      }return cuadro;}
  
}